/*
 * Copyright (C) 1999 Toru Hoshina
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __MAIN_H__
#define __MAIN_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define HUGE_STRING	16384
#define LONG_STRING     4096
#define SHORT_STRING    256

extern void do_exit (int code);

extern GtkWidget *window;
extern GtkWidget *main_vbox;
extern GtkWidget *device;
extern GtkWidget *ratio;
extern GtkWidget *curdir;
extern GtkWidget *list;
extern GtkWidget *context_menu;
extern GtkWidget *listbutton;
extern GtkWidget *savebutton;
extern GtkWidget *fileSel;

extern char *rcpath;
extern gint list_rows;
extern gint list_selected_row;
extern gint device_no;
extern gint ratio_no;
extern char *device_str;
extern char *ratio_str;
extern char *dir_str;
extern struct pinfo_lst *proot;
extern int initialized;

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __MAIN_H__ */
